Bug 839650 - Review Request: rubygem-awesome_print - Pretty print Ruby objects with proper indentation and colors
Review Request: rubygem-awesome_print - Pretty print Ruby objects with proper...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mo Morsi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-12 09:42 EDT by Maros Zatko
Modified: 2013-05-06 07:54 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-06 07:54:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mmorsi: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Maros Zatko 2012-07-12 09:42:49 EDT
Spec URL: http://v3.sk/~hexo/rpm/awesome_print.spec
SRPM URL: http://v3.sk/~hexo/rpm/rubygem-awesome_print-1.0.2-1.fc17.src.rpm
Description: Great Ruby dubugging companion: pretty print Ruby objects to visualize their structure. Supports custom object formatting via plugins
Fedora Account System Username: mzatko
Comment 1 Michal Fojtik 2012-07-12 10:25:20 EDT
Review:

- The 'License: GPLv2+ or Ruby' seems to be wrong, according to GitHub page it should be MIT

- Consider using %gem_name macro here:

URL: http://github.com/michaeldv/awesome_print

- Move the 'spec' files into -doc subpackage, since they are not needed for the main gem funcionality.

%{gem_instdir}/spec/colors_spec.rb
....

- Consider removing these files:

%{gem_instdir}/.gitignore
%{gem_instdir}/.yardoc/checksums
%{gem_instdir}/.yardoc/objects/root.dat
%{gem_instdir}/.yardoc/proxy_types
%{gem_instdir}/Gemfile.lock

- Move LICENSE into main %files section
- Please run the 'spec' files in the %check section
Comment 2 Maros Zatko 2012-09-03 11:36:52 EDT
Thanks for your review, I've updated spec, so

Spec URL: http://v3.sk/~hexo/rpm/awesome_print.spec
SRPM URL: http://v3.sk/~hexo/rpm/rubygem-awesome_print-1.0.2-2.fc17.src.rpm
Description: Great Ruby dubugging companion: pretty print Ruby objects to visualize their structure. Supports custom object formatting via plugins
Fedora Account System Username: mzatko
Comment 3 Mo Morsi 2012-10-02 16:16:50 EDT
Maros, there are still some updates needed to this package.

As Michal mentioned please move the %{gem_instdir}/spec/ dir into the 'doc' files list.

You should not be excluding the Gemfile (the Gemfile.lock is ok), and consider rm'ing the files in one of the previous sections instead of marking them as %exclude (I believe both are acceptable though the former is more common / cleaner).

Lastly unless there is a reason not too (if so list it here) please add a %check section where you invoke the spec suite (manually so as not to pull in rake).

Thanks.
Comment 4 Maros Zatko 2012-10-08 12:58:44 EDT
it's here, again

Spec URL: http://v3.sk/~hexo/rpm/rubygem-awesome_print.spec
SRPM URL: http://v3.sk/~hexo/rpm/rubygem-awesome_print-1.0.2-5.fc17.src.rpmDescription: Great Ruby dubugging companion: pretty print Ruby objects to visualize their structure. Supports custom object formatting via plugins
Fedora Account System Username: mzatko
Comment 5 Mo Morsi 2012-10-10 11:47:23 EDT
Looks good, APPROVED
Comment 6 Maros Zatko 2012-10-22 10:51:04 EDT
New Package SCM Request
=======================
Package Name: rubygem-awesome_print
Short Description: Pretty print Ruby objects with proper indentation and colors
Owners: mzatko
Branches: f17 f18
InitialCC:
Comment 7 Gwyn Ciesla 2012-10-24 06:57:11 EDT
Git done (by process-git-requests).
Comment 8 Vít Ondruch 2013-05-06 07:54:51 EDT
This is already available in F19/Rawhide, so this could be probably closed.

Note You need to log in before you can comment on or make changes to this bug.